You are Here:
Linux Lite 4.4 Final has been released. See the Release Announcements section for more information.



[ BUG ] LLVER Bug

Author (Read 2950 times)

0 Members and 1 Guest are viewing this topic.

LLVER Bug
« on: November 03, 2016, 05:13:52 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6811
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
I've found a bug that after upgrade, will show /etc/llver as 'Linux Lite 3.0' instead of 'Linux Lite 3.2' This in turn affects Lite Tweaks, Bootup Fix.

Will work on a fix and report back when complete.
Last Edit: November 25, 2016, 05:34:07 AM by Jerry
 


Re: LLVER Bug
« Reply #1 on: November 03, 2016, 06:24:54 AM »
 

LL-user

  • I come here a lot
  • *****
  • 446
    Posts
  • Country: 00
  • Reputation: 213
  • Linux Lite Member

  • Linux Lite: 2.8 64bit
Thanks, Jerry, your dedication is truly amazing and highly appreciated! :)
 

Re: LLVER Bug
« Reply #2 on: November 03, 2016, 08:48:45 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6811
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Ok this is fixed. Please run:

Menu, Favorites, Install Updates
Menu, Settings, Lite Upgrade


I know this is pain for some to run this again, but if I don't fix this properly now, we will have this bug every upgrade.
Will also post this under the Release Announcement.
 

Re: LLVER Bug
« Reply #3 on: November 03, 2016, 09:23:57 AM »
 

Ottawagrant

  • Forum Regular
  • ***
  • 182
    Posts
  • Country: ca
  • Reputation: 27
  • Linux Lite Member

  • Linux Lite: 4.2 64bit

  • CPU: Intel Duo Core 2 E8400 @ 3.00GHz

  • MEMORY: 12Gb

  • VIDEO CARD: Mesa DRI Intel Q45/Q43
Before running the fix I had run deborphan to check for stragglers. I got a 'file 20auto-upgrades.ucf-dist, located in /etc/apt/apt.conf.d/ will be ignored due to invalid filename extension'. What makes it interesting is that after running the install updates/lite upgrade fix, it went away. Don't know if they're related to the LLVER problem, but I thought I'd mention it in case anyone else gets it. Thanks again!
 

Re: LLVER Bug
« Reply #4 on: November 03, 2016, 09:25:39 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6811
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Thanks Ottawagrant, haven't come across the error you had, but then again I don't run deborphan and have no idea of the effect of it in LL.
 

Re: LLVER Bug
« Reply #5 on: November 04, 2016, 06:00:06 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6811
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Thanks, Jerry, your dedication is truly amazing and highly appreciated! :)

You're very welcome :)
 

Re: LLVER Bug
« Reply #6 on: April 10, 2017, 02:49:48 PM »
 

FreddyM

  • New to Forums
  • *
  • 11
    Posts
  • Country: at
  • Reputation: 1
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM)2 Duo CPU P7450 @ 2.13GHz

  • MEMORY: 4Gb

  • VIDEO CARD: Nvidia GT216M [GeForce GT 230M]
Hallo from Austria
I have installed LL 3.0 last year and get last week the upgrde to LL 3.4, but now I'm confused.
System Information tell me under Operating System   - Distribution : Linux Lite 3.0, also
grub show me at bootscreen Linux Lite 3.0.

The upgrade 3.4 button tell me "You are already running the latest release"

So what version is installed, how can test this.
 

Re: LLVER Bug
« Reply #7 on: April 10, 2017, 06:06:42 PM »
 

newtusmaximus

  • Gold Level Poster
  • *******
  • 629
    Posts
  • Country: gb
  • Reputation: 60
  • Paypal Supporter.

  • Linux Lite: 3.6 64bit

  • CPU: Intel Core duo 6300 1.86GHz

  • MEMORY: 4Gb

  • VIDEO CARD: Intel 82Q963/Q965
https://www.linuxliteos.com/forums/installing-linux-lite/ll-3-2-64bit-upgrade-to-3-4-states-already-on-latest-release/msg30831/#msg30831

FreddyM, could you copy your post to the thread already started on this possible problem. Tks
Last Edit: April 10, 2017, 06:09:20 PM by newtusmaximus
2006 - HP DC7700p ultraslim Desktop Intel 6300 cpu  4GB Ram LL3.6 64bit.
2007 - Fujitsu Siemens V3405 Laptop  2 GB Ram LL3.6 32bit. Now 32bit Debian 9.
2006 - Fujitsu Siemens Si1520 Laptop Intel T720 cpu 3GB Ram LL4.4 64bit
2003 - RETIRED Toshiba Satellite Pro A10 1 GB RAM LL2.8 32bit
 

Re: LLVER Bug
« Reply #8 on: April 10, 2017, 10:36:02 PM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6811
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
 

Re: LLVER Bug
« Reply #9 on: April 11, 2017, 08:17:37 AM »
 

FreddyM

  • New to Forums
  • *
  • 11
    Posts
  • Country: at
  • Reputation: 1
  • Linux Lite Member

  • Linux Lite: 4.4 64bit

  • CPU: Intel(R) Core(TM)2 Duo CPU P7450 @ 2.13GHz

  • MEMORY: 4Gb

  • VIDEO CARD: Nvidia GT216M [GeForce GT 230M]
Hallo Jerry and thanks

Followed instruction for upgrading LL3.0 - 64bit to 3.4 - 64bit.

cat /etc/llver  now reports 3.4.

Thank you very much.
 

Re: LLVER Bug
« Reply #10 on: April 11, 2017, 09:04:44 AM »
 

Jerry

  • Linux Lite Creator
  • Administrator
  • Platinum Level Poster
  • *****
  • 6811
    Posts
  • Country: nz
  • Reputation: 626
  • Linux Lite Member
    • Linux Lite OS

  • Linux Lite: 3.8 64bit

  • CPU: Intel Xeon Dual CPU's E5645 2.4GHz 12 Cores

  • MEMORY: 16Gb

  • VIDEO CARD: nVidia GeForce GTX 960
Great to hear :)
 


Tags:
 


Linux Lite 4.4 Final has been released. See the Release Announcements section for more information.